@tailwind base;
@tailwind components;
@tailwind utilities;

/* Update color variables */
:root {
  --foreground-rgb: 255, 255, 255;
  --background-start-rgb: 0, 0, 0;
  --background-end-rgb: 0, 0, 0;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

/* Update body background */
body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
    to bottom,
    transparent,
    rgb(var(--background-end-rgb))
  ) rgb(var(--background-start-rgb));

  /* Use Tailwind CSS utility classes for gradient */
  background-image: var(--tw-gradient-to-b), var(--tw-gradient-from-sky-900), var(--tw-gradient-to-orange-400);
}
